#version 330

uniform sampler2D texture;
uniform int alphaType;
uniform float alpha;

smooth in vec2 texCoord;
flat in vec4 colorPart;

out vec4 fragColor;

void main()
{
  vec4 texColor = texture2D(texture, texCoord);
  if (alphaType == 0) {  //Additive shading
	fragColor = vec4(texColor.xyz, alpha) * colorPart;
  } else { //texture alpha
	fragColor = texColor * colorPart * vec4(1.0, 1.0, 1.0, alpha);
  }
  

  //fragColor = vec4(vec3(texCoord, 1.0f), 1.0f);
}